<?php
/**
 * @package XCube
 * @version $Id: XCube_RoleManager.class.php,v 1.1.2.1 2006/09/29 08:13:22 minahito Exp $
 */

/**
 * The provider class which handles role informations with the store.
 */
class XCube_RoleManager
{
	function getRolesForUser($username = null)
	{
	}
}

/**
 * The utility class which handles role information without the root object.
 */
class XCube_Role
{
	function getRolesForUser($username = null)
	{
		$root =& XCube_Root::getSingleton();
		return $root->mRoleManager->getRolesForUser($username);
	}
}

?>